Subject: Re: bug#69811: 30.0.50; Texinfo warning: @anchor/@footnote on @item line

From: Eli Zaretskii <[email-masked]>
Date: Fri, 15 Mar 2024 13:35:09 +0200

tags 69811 notabug
thanks

> From: "Basil L. Contovounesios" <[email-masked]>
> Date: Fri, 15 Mar 2024 10:28:35 +0100
> 
> I think it's since upgrading to the following Texinfo version:
> 
>   $ makeinfo --version
>   texi2any (GNU texinfo) 7.1
> 
> that I've been seeing the following warnings when building misc manuals:
> 
>   cc-mode.texi:838: warning: @footnote should not appear on @item line
>   cc-mode.texi:1224: warning: @footnote should not appear on @item line
>   cc-mode.texi:1229: warning: @footnote should not appear on @item line
>   cc-mode.texi:1572: warning: @footnote should not appear on @item line
> 
>   org.texi:15658: warning: @anchor should not appear on @item line
>   org.texi:15671: warning: @anchor should not appear on @item line
> 
> Is this a Texinfo bug, or am I / are we doing something wrong?

It's a recent change in Texinfo that the Texinfo developers agreed to
revert in a future release.  So from where I stand, there's no need to
fix this in our manuals (but it is also not "verboten" to do so).

This is not a bug.